Skip to main content
`Ctrl`+`K`

# MatProductSetAlgorithm

Requests a particular algorithm for a matrix-matrix product operation that will perform to compute the given matrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatProductSetAlgorithm(Mat mat, MatProductAlgorithm alg)

Collective

## Input Parameters

- mat - the matrix whose values are computed via a matrix-matrix product operation

- alg - particular implementation algorithm of the matrix product, e.g., `MATPRODUCTALGORITHMDEFAULT`.

## Options Database Key

- -mat_product_algorithm algorithm - Sets the algorithm, see `MatProductAlgorithm`

## See Also

Matrices, `MatProduct`, `Mat`, `MatProductClear()`, `MatProductSetType()`, `MatProductSetFill()`, `MatProductCreate()`, `MatProductAlgorithm`, `MatProductType`, `MatProductGetAlgorithm()`

## Level

intermediate

## Location

src/mat/interface/matproduct.c

## Examples

src/tao/pde_constrained/tutorials/parabolic.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages